.wp-block-ccpcp-map {
    display: flex;
    align-items: center;
    --gap: 100px;
    gap: var(--gap);
    margin-bottom: 40px;

    @media (max-width: 1024px) {
        --gap: 50px;
        flex-direction: column;
    }
}

.home .wp-block-ccpcp-map {
    margin: 0 !important;
}

.wp-block-ccpcp-map__map {
    width: calc(100% - var(--gap) - 500px);

    @media (max-width: 1024px) {
        width: calc(100% - 40px);
    }
}

.wp-block-ccpcp-map__contents {
    width: 500px;
    flex: none;

    @media (max-width: 1280px) {
        max-width: 400px;
        width: 100%;
    }

    @media (max-width: 1024px) {
        display: none;
    }
}